## sos 1.1-3

=== DESCRIPTION ===
Package: sos
Title: sos
Version: 1.1-3
Author: Spencer Graves, Sundar Dorai-Raj, and Romain Francois
Maintainer: Spencer Graves <spencer.graves@prodsyse.com>
Description: R related Search Engines
License: GPL (>= 2)
Depends: brew
Suggests: RODBC, WriteXLS
Repository: CRAN
Repository/R-Forge/Project: rsitesearch
Repository/R-Forge/Revision: 118
Date/Publication: 2009-09-07 17:57:46
Packaged: 2009-09-06 20:22:09 UTC; rforge

## sos 1.1-5

=== DESCRIPTION ===
Package: sos
Title: sos
Version: 1.1-5
Author: Spencer Graves, Sundar Dorai-Raj, and Romain Francois
Maintainer: Spencer Graves <spencer.graves@prodsyse.com>
Description: R related Search Engines
License: GPL (>= 2)
Depends: brew
Suggests: RODBC, WriteXLS
Repository: CRAN
Repository/R-Forge/Project: rsitesearch
Repository/R-Forge/Revision: 140
Date/Publication: 2009-10-01 19:55:21
Packaged: 2009-09-30 20:24:59 UTC; rforge

## sos 1.1-7

=== DESCRIPTION ===
Package: sos
Title: sos
Version: 1.1-7
Author: Spencer Graves, Sundar Dorai-Raj, and Romain Francois
Maintainer: Spencer Graves <spencer.graves@prodsyse.com>
Description: R related Search Engines
License: GPL (>= 2)
Depends: brew
Suggests: RODBC, WriteXLS
Repository: CRAN
Repository/R-Forge/Project: rsitesearch
Repository/R-Forge/Revision: 146
Date/Publication: 2009-11-03 11:27:33
Packaged: 2009-11-01 21:18:46 UTC; rforge

## sos 1.2-2

=== DESCRIPTION ===
Package: sos
Title: sos
Version: 1.2-2
Author: Spencer Graves, Sundar Dorai-Raj, and Romain Francois
Maintainer: Spencer Graves <spencer.graves@prodsyse.com>
Description: R related Search Engines
License: GPL (>= 2)
Depends: brew
Suggests: RODBC, WriteXLS
Repository: CRAN
Repository/R-Forge/Project: rsitesearch
Repository/R-Forge/Revision: 159
Date/Publication: 2009-12-14 19:58:47
Packaged: 2009-12-12 21:18:28 UTC; rforge

## sos 1.2-4

=== DESCRIPTION ===
Package: sos
Title: sos
Version: 1.2-4
Author: Spencer Graves, Sundar Dorai-Raj, and Romain Francois
Maintainer: Spencer Graves <spencer.graves@prodsyse.com>
Description: R related Search Engines
License: GPL (>= 2)
Depends: brew
Suggests: RODBC, WriteXLS
Repository: CRAN
Repository/R-Forge/Project: rsitesearch
Repository/R-Forge/Revision: 161
Date/Publication: 2009-12-20 09:35:26
Packaged: 2009-12-16 21:26:33 UTC; rforge

## sos 1.2-5

=== DESCRIPTION ===
Package: sos
Title: sos
Version: 1.2-5
Author: Spencer Graves, Sundar Dorai-Raj, and Romain Francois
Maintainer: Spencer Graves <spencer.graves@prodsyse.com>
Description: R related Search Engines
License: GPL (>= 2)
Depends: brew
Suggests: RODBC, WriteXLS
Repository: CRAN
Repository/R-Forge/Project: rsitesearch
Repository/R-Forge/Revision: 167
Date/Publication: 2010-02-14 19:43:43
Packaged: 2010-02-13 21:20:22 UTC; rforge

## sos 1.2-7

=== DESCRIPTION ===
Package: sos
Title: sos
Version: 1.2-7
Author: Spencer Graves, Sundar Dorai-Raj, and Romain Francois
Maintainer: Spencer Graves <spencer.graves@prodsyse.com>
Description: R related Search Engines
License: GPL (>= 2)
Depends: brew
Suggests: RODBC, WriteXLS
Repository: CRAN
Repository/R-Forge/Project: rsitesearch
Repository/R-Forge/Revision: 172
Date/Publication: 2010-04-05 08:18:55
Packaged: 2010-03-29 20:45:23 UTC; rforge

## sos 1.3-0

=== DESCRIPTION ===
Package: sos
Title: sos
Version: 1.3-0
Author: Spencer Graves, Sundar Dorai-Raj, and Romain Francois
Maintainer: Spencer Graves <spencer.graves@prodsyse.com>
Description: R related Search Engines
License: GPL (>= 2)
Depends: brew
Suggests: RODBC, WriteXLS
Repository: CRAN
Repository/R-Forge/Project: rsitesearch
Repository/R-Forge/Revision: 179
Date/Publication: 2010-06-23 08:06:09
Packaged: 2010-06-22 21:06:43 UTC; rforge

## sos 1.3-1

=== DESCRIPTION ===
Package: sos
Title: sos
Version: 1.3-1
Author: Spencer Graves, Sundar Dorai-Raj, and Romain Francois
Maintainer: Spencer Graves <spencer.graves@prodsyse.com>
Description: R related Search Engines
License: GPL (>= 2)
Depends: brew
Suggests: RODBC, WriteXLS
Repository: CRAN
Repository/R-Forge/Project: rsitesearch
Repository/R-Forge/Revision: 183
Date/Publication: 2011-07-06 18:56:49
Packaged: 2011-07-04 21:45:53 UTC; rforge

## sos 1.3-4

=== DESCRIPTION ===
Package: sos
Title: sos
Version: 1.3-4
Author: Spencer Graves, Sundar Dorai-Raj, and Romain Francois
Maintainer: Spencer Graves <spencer.graves@prodsyse.com>
Description: Search contributed R packages, sort by package
License: GPL (>= 2)
Depends: brew
Suggests: RODBC, WriteXLS, dataframes2xls
Repository: CRAN
Repository/R-Forge/Project: rsitesearch
Repository/R-Forge/Revision: 207
Packaged: 2012-06-18 11:59:01 UTC; rforge
Date/Publication: 2012-06-19 06:04:03

## sos 1.3-5

=== DESCRIPTION ===
Package: sos
Title: sos
Version: 1.3-5
Author: Spencer Graves, Sundar Dorai-Raj, and Romain Francois
Maintainer: Spencer Graves <spencer.graves@prodsyse.com>
Description: Search contributed R packages, sort by package
License: GPL (>= 2)
Depends: brew
Suggests: RODBC, WriteXLS, dataframes2xls
Repository: CRAN
Repository/R-Forge/Project: rsitesearch
Repository/R-Forge/Revision: 213
Packaged: 2012-07-23 10:21:05 UTC; rforge
Date/Publication: 2012-07-28 05:26:32

## sos 1.3-7

=== DESCRIPTION ===
Package: sos
Title: Search contributed R packages, sort by package
Version: 1.3-7
Author: Spencer Graves, Sundar Dorai-Raj, and Romain Francois
Maintainer: Spencer Graves <spencer.graves@prodsyse.com>
Description: Search contributed R packages, sort by package
License: GPL (>= 2)
Depends: brew
Suggests: RODBC, WriteXLS, fda
Repository: CRAN
Repository/R-Forge/Project: rsitesearch
Repository/R-Forge/Revision: 224
Repository/R-Forge/DateTimeStamp: 2013-07-06 20:13:21
Date/Publication: 2013-08-04 07:30:40
Packaged: 2013-07-06 22:21:06 UTC; rforge
NeedsCompilation: no

## sos 1.3-8

=== DESCRIPTION ===
Package: sos
Title: Search contributed R packages, sort by package
Version: 1.3-8
Author: Spencer Graves, Sundar Dorai-Raj, and Romain Francois
Maintainer: Spencer Graves <spencer.graves@prodsyse.com>
Description: Search contributed R packages, sort by package
License: GPL (>= 2)
Depends: brew
Suggests: RODBC, WriteXLS, fda
Repository: CRAN
Repository/R-Forge/Project: rsitesearch
Repository/R-Forge/Revision: 229
Repository/R-Forge/DateTimeStamp: 2013-09-25 05:56:05
Date/Publication: 2013-09-25 13:54:11
Packaged: 2013-09-25 06:17:43 UTC; rforge
NeedsCompilation: no

## sos 1.3-9

=== DESCRIPTION ===
Package: sos
Title: Search Contributed R Packages, Sort by Package
Version: 1.3-9
Author: Spencer Graves, Sundar Dorai-Raj, and Romain Francois
Maintainer: Spencer Graves <spencer.graves@prodsyse.com>
Description: Search contributed R packages, sort by package.
License: GPL (>= 2)
Depends: brew
Suggests: RODBC, WriteXLS, fda
Repository: CRAN
Repository/R-Forge/Project: rsitesearch
Repository/R-Forge/Revision: 244
Repository/R-Forge/DateTimeStamp: 2016-06-21 13:58:30
Date/Publication: 2016-06-21 19:57:26
NeedsCompilation: no
Packaged: 2016-06-21 14:08:48 UTC; rforge

## sos 1.4-1

=== DESCRIPTION ===
Package: sos
Title: Search Contributed R Packages, Sort by Package
Version: 1.4-1
Author: Spencer Graves, Sundar Dorai-Raj, and Romain Francois
Maintainer: Spencer Graves <spencer.graves@prodsyse.com>
Description: Search contributed R packages, sort by package.
License: GPL (>= 2)
Depends: brew
Suggests: RODBC, WriteXLS, fda
Repository: CRAN
Repository/R-Forge/Project: rsitesearch
Repository/R-Forge/Revision: 250
Repository/R-Forge/DateTimeStamp: 2017-01-19 06:09:02
Date/Publication: 2017-01-19 15:19:28
NeedsCompilation: no
Packaged: 2017-01-19 06:27:32 UTC; rforge

## sos 2.0-0

=== DESCRIPTION ===
Package: sos
Title: Search Contributed R Packages, Sort by Package
Version: 2.0-0
Author: Spencer Graves, Sundar Dorai-Raj, and Romain Francois
Maintainer: Spencer Graves <spencer.graves@prodsyse.com>
Description: Search contributed R packages, sort by package.
License: GPL (>= 2)
Depends: brew
Suggests: RODBC, WriteXLS, fda
Repository: CRAN
Repository/R-Forge/Project: rsitesearch
Repository/R-Forge/Revision: 265
Repository/R-Forge/DateTimeStamp: 2017-07-03 07:45:41
Date/Publication: 2017-07-03 13:38:22 UTC
NeedsCompilation: no
Packaged: 2017-07-03 08:08:10 UTC; rforge

## sos 2.0-2

=== DESCRIPTION ===
Package: sos
Title: Search Contributed R Packages, Sort by Package
Version: 2.0-2
Date: 2020-10-19
Author: Spencer Graves [cre, aut, cph], 
    Sundar Dorai-Raj [aut], and Romain Francois [ctb]
Maintainer: Spencer Graves <spencer.graves@prodsyse.com>
Description: Search contributed R packages, sort by package.
License: GPL (>= 2)
Depends: brew
Suggests: RODBC, WriteXLS, fda
Language: en-us
NeedsCompilation: no
Packaged: 2020-10-20 01:17:08 UTC; sbgraves
Repository: CRAN
Date/Publication: 2020-10-20 07:00:06 UTC

## sos 2.1-0

=== DESCRIPTION ===
Package: sos
Title: Search Contributed R Packages, Sort by Package
Version: 2.1-0
Date: 2021-06-13
Author: Spencer Graves [cre, aut, cph], 
    Sundar Dorai-Raj [aut], and Romain Francois [ctb]
Maintainer: Spencer Graves <spencer.graves@prodsyse.com>
Description: Search contributed R packages, sort by package.
License: GPL (>= 2)
Depends: brew
Suggests: RODBC, WriteXLS
Language: en-us
NeedsCompilation: no
Packaged: 2021-06-19 01:34:09 UTC; sg
Repository: CRAN
Date/Publication: 2021-06-20 20:30:02 UTC

## sos 2.1-4

=== DESCRIPTION ===
Package: sos
Title: Search Contributed R Packages, Sort by Package
Version: 2.1-4
Date: 2022-03-29
Author: Spencer Graves [cre, aut, cph], 
    Sundar Dorai-Raj [aut], and Romain Francois [ctb]
Maintainer: Spencer Graves <spencer.graves@prodsyse.com>
Description: Search contributed R packages, sort by package.
License: GPL (>= 2)
Depends: brew
Suggests: RODBC, WriteXLS, testthat
Language: en-us
NeedsCompilation: no
Packaged: 2022-04-01 02:22:19 UTC; spenc
Repository: CRAN
Date/Publication: 2022-04-01 04:10:02 UTC

## sos 2.1-7

=== DESCRIPTION ===
Package: sos
Title: Search Contributed R Packages, Sort by Package
Version: 2.1-7
Date: 2023-05-26
Author: Spencer Graves [cre, aut, cph], 
    Sundar Dorai-Raj [aut], and Romain Francois [ctb]
Maintainer: Spencer Graves <spencer.graves@prodsyse.com>
Description: Search contributed R packages, sort by package.
License: GPL (>= 2)
Depends: brew
Suggests: RODBC, WriteXLS, testthat
Language: en-us
NeedsCompilation: no
Packaged: 2023-05-26 19:52:12 UTC; sg
Repository: CRAN
Date/Publication: 2023-05-26 20:40:02 UTC

## sos 2.1-8

=== DESCRIPTION ===
Package: sos
Title: Search Contributed R Packages, Sort by Package
Version: 2.1-8
Date: 2024-06-28
Author: Spencer Graves [cre, aut, cph], 
    Sundar Dorai-Raj [aut], and Romain Francois [ctb]
Maintainer: Spencer Graves <spencer.graves@prodsyse.com>
Description: Search contributed R packages, sort by package.
License: GPL (>= 2)
Depends: R (>= 3.5.0), brew
Suggests: RODBC, WriteXLS, testthat, knitr, rmarkdown
Language: en-us
URL: https://github.com/sbgraves237/sos
BugReports: https://github.com/sbgraves237/sos/issues
VignetteBuilder: knitr, rmarkdown
NeedsCompilation: no
Packaged: 2024-06-29 17:27:35 UTC; sg
Repository: CRAN
Date/Publication: 2024-06-29 18:40:02 UTC

## sos 4.9.0

=== debian/changelog ===
sos (4.9.0-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Arif Ali <arif.ali@canonical.com>  Sun, 02 Mar 2025 10:43:18 +0000

sos (4.9.0-2) unstable; urgency=medium

  * d/sosreport.links: wrap-and-sort update
  * d/control: Update description of the sosreport package
  * d/control: Increment Standards-Version to 4.7.1

 -- Arif Ali <arif.ali@canonical.com>  Sat, 22 Feb 2025 19:35:21 +0000

sos (4.9.0-1) unstable; urgency=medium

  * New Upstream 4.9.0 release.
  * Add files from deprecated commands from upstream
  * d/control: wrap-and-sort the rest
  * d/t/control: depend on sos instead of sosreport
  * d/control: Add ${misc:Depends} to the sosreport pkg Depends
  * d/control: Change the package from any to all

 -- Arif Ali <arif.ali@canonical.com>  Tue, 18 Feb 2025 17:17:23 +0000

sos (4.8.2-4) unstable; urgency=medium

  * Bump version to fix duplicate version (Closes: #1095510)
  * Add Salsa CI config
  * d/control: Add python3-yaml to Depends
  * d/control: Remove David from Uploaders
  * d/t/simple.sh: Update hostname obfuscation test
  * Update using wrap-and-sort -satb in debian folder
  * d/t/simple.sh: Fix more hostname check anomalies
  * Remove files not needed for transitional package
  * Update sosreport.README
  * d/control: Add Section: oldlibs for transitional package
  * d/control: Update Breaks/Replaces to new version

 -- Arif Ali <arif.ali@canonical.com>  Sat, 08 Feb 2025 21:03:12 +0000

sos (4.8.2-3) unstable; urgency=medium

  * Change package name to sos (Closes: #1092585)
  * Add new sosreport transitional package
  * d/changelog: Add back entry for bird plugin change
  * d/t/simple.sh: Fix armhf autopkgtest for Ubuntu
  * d/copyright: Update dates to 2025 to quieten lintian
  * d/control: Add Breaks and Replaces to sosreport 4.8.2-3
  * d/rules, d/s/lintian-overrides: Update for new package name

 -- Arif Ali <arif.ali@canonical.com>  Thu, 09 Jan 2025 11:07:09 +0000

sosreport (4.8.2-2) unstable; urgency=medium

  * d/t/simple.sh: Fix hostname detection for S01autopkgtest
  * d/t/control: replace dmidecode with lshw, dmidecode does not exist on some
    architectures

 -- Arif Ali <arif.ali@canonical.com>  Mon, 16 Dec 2024 23:26:06 +0000

sosreport (4.8.2-1) unstable; urgency=medium

  * New Upstream 4.8.2 release.

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.8.2

  * d/t/simple.sh: Fix autopkgtest script to ignore autopkgtest-run command
    where "autopkgtest" could constitute as a hostname, and fail for one of the
    files.

  * d/t/control: Add dmidecode to Depends, so that the relevant files exist.

  * d/gbp.conf: Add file to allow use defaults for the sosreport project.

  * d/copyright: Add details for the bird plugin

  * Former patches now fixed upstream:
    - d/p/0003-heat-Obfuscate-Add-auth_encryption_key-in-config.patch
    - d/p/0004-placement-Obfuscate-passwords-that-have-been-missed.patch
    - d/p/0005-mysql-Add-obfuscation-for-password-in-conf-files.patch

  * Remaining patches:
    - d/p/0001-debian-change-tmp-dir-location.patch
    - d/p/0002-debian-do-not-install-LICENSE-README-AUTHORS.patch

 -- Arif Ali <arif.ali@canonical.com>  Mon, 16 Dec 2024 08:21:44 +0000

sosreport (4.8.1-2) unstable; urgency=medium

  * d/rules:
    Add unit test back without nosetests and using unittests module directly.

  * d/tests/control & d/tests/simple.sh:
    - Fix issue with the lsmod and ip command not being found
    - Fix issue on line 47 showing too many arguments, by surrounding quotes
      in the test.

  * d/p/0004-heat-Obfuscate-Add-auth_encryption_key-in-config.patch:
    The configuration option auth_encryption_key was not being obfuscated by
    default, this patch resolves this particular issue.

  * d/p/0005-placement-Obfuscate-passwords-that-have-been-missed.patch
    The NOVA_API_PASS and PLACEMENT_PASS were not being obfuscated in one of
    the config files. This resolves this particular issue.

  * d/p/0006-mysql-Add-obfuscation-for-password-in-conf-files.patch:
    The password field in one of the config files was not being obfuscated.
    This resolves this particular issue.

  * New patches:
    - d/p/0003-heat-Obfuscate-Add-auth_encryption_key-in-config.patch
    - d/p/0004-placement-Obfuscate-passwords-that-have-been-missed.patch
    - d/p/0005-mysql-Add-obfuscation-for-password-in-conf-files.patch

  * Remaining patches:
    - d/p/0001-debian-change-tmp-dir-location.patch
    - d/p/0002-debian-do-not-install-LICENSE-README-AUTHORS.patch

 -- Arif Ali <arif.ali@canonical.com>  Sat, 26 Oct 2024 14:24:02 +0000

sosreport (4.8.1-1) unstable; urgency=medium

  * New Upstream 4.8.1 release.

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.8.1

  * d/control:
    - Remove the -b flag for Vcs-Git. The default branch in salsa is now
      debian/latest, so this flag is now redundant.

  * Remaining patches:
    - d/p/0001-debian-change-tmp-dir-location.patch
    - d/p/0002-debian-do-not-install-LICENSE-README-AUTHORS.patch

 -- Arif Ali <arif.ali@canonical.com>  Wed, 16 Oct 2024 18:40:32 +0000

sosreport (4.8.0-1) unstable; urgency=medium

  * New Upstream 4.8.0 release.

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.8.0

  * d/copyright:
    - Remove the only plugins that were GPL-2+ from file, now that the file
      has been updated upstream and now GPL-2

  * d/control:
    - Add branch for Vcs-Git to debian/latest based on DEP-14

  * d/tests/simple.sh:
    - Replace "sosreport" with "sos report". The old command is now deprecated,
      and should be "sos report" in all places.

  * d/p/0004-debian-do-not-install-LICENSE.patch:
    - Rename patch to 0002 for future patch additions, as well as README and
      AUTHORS being duplicated


=== debian/control ===
Source: sos
Maintainer: sosreport Dev Team <sosreport-dev@lists.canonical.com>
Uploaders:
 Arif Ali <arif.ali@canonical.com>,
Section: admin
Priority: optional
Standards-Version: 4.7.1
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 fdisk,
 gettext,
 python3-all,
 python3-magic,
 python3-packaging,
 python3-pexpect,
 python3-setuptools,
 python3-sphinx,
 python3-yaml,
Homepage: https://github.com/sosreport/sos
Vcs-Browser: https://salsa.debian.org/sosreport-team/sosreport
Vcs-Git: https://salsa.debian.org/sosreport-team/sosreport.git

Package: sos
Replaces:
 sosreport (<< 4.8.2-4~),
Breaks:
 sosreport (<< 4.8.2-4~),
Architecture: all
Depends:
 python3-magic,
 python3-packaging,
 python3-pexpect,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 e2fsprogs,
 lsof,
 mount,
 python3-boto3,
Description: Set of tools to gather troubleshooting data from a system
 Sos is a set of tools that gathers information about system
 hardware and configuration. The information can then be used for
 diagnostic purposes and debugging. Sos is commonly used to help
 support technicians and developers.

Package: sosreport
Section: oldlibs
Architecture: all
Depends:
 sos,
 ${misc:Depends},
 ${python3:Depends},
Description: transitional package for sos
 This is a transitional package, it can be safely removed.
 This currently ships the old commands that have been deprecated.

## sos 4.9.1

=== debian/changelog ===
sos (4.9.1-1) unstable; urgency=medium

  * New Upstream 4.9.1 release.

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.9.1

  * d/copyright: Update FSF address
    fixing: lintian: old-fsf-address-in-copyright-file

  * Former patches now fixed upstream:
    - d/p/0003-o_horizon-Obfuscate-credentials-in-local_settings.py.patch
    - d/p/0004-ceph_common-Obfuscate-rgw-password-in-ceph.conf.patch
    - d/p/0005-logs-Add-all-auth.log-syslog-and-kerne.log-as-standa.patch
    - d/p/0006-ubuntu-Revamp-of-plugin.patch
    - d/p/0007-clean-Update-the-last-command-for-obfuscation.patch
    - d/p/0008-login-clean-Update-login-plugin-and-use-for-clean.patch

  * Remaining patches:
    - d/p/0001-debian-change-tmp-dir-location.patch
    - d/p/0002-debian-do-not-install-LICENSE-README-AUTHORS.patch

 -- Arif Ali <arif.ali@canonical.com>  Tue, 15 Apr 2025 07:31:49 +0000

sos (4.9.0-6) unstable; urgency=high

  * d/p/0008-login-clean-Update-login-plugin-and-use-for-clean.patch:
    unstable, testing and plucky don't have last and lastlogin by default,
    we now use lslogins and lastlogin2 to grab the user details and clean
    based out of these outputs. The previous patch was a fix for older
    releases. (LP: #2102199)

 -- Arif Ali <arif.ali@canonical.com>  Fri, 14 Mar 2025 13:27:08 +0000

sos (4.9.0-5) unstable; urgency=high

  * d/p/0007-clean-Update-the-last-command-for-obfuscation.patch:
    Fix username clean issue. A regression was introduced in 4.8.2 where the
    username was not being cleaned due to the command updated from last to
    last -F. (LP: #2102199)

 -- Arif Ali <arif.ali@canonical.com>  Thu, 13 Mar 2025 09:32:53 +0000

sos (4.9.0-4) unstable; urgency=medium

  * d/p/0003-o_horizon-Obfuscate-credentials-in-local_settings.py.patch:
    Update DEP-3 header to add Forwarded.
  * d/p/0004-ceph_common-Obfuscate-rgw-password-in-ceph.conf.patch:
    Update DEP-3 header to add Forwarded.
  * d/p/0005-logs-Add-all-auth.log-syslog-and-kerne.log-as-standa.patch:
    Collect suth.log, syslog and kern.log as standard, this was taken away a
    long while back, but can be useful for debugging.
  * d/p/0006-ubuntu-Revamp-of-plugin.patch:
    Ubuntu plugin revamp, so that the triggers are used correctly and
    standardises collection of data. Name change of the package caused it to
    not collect anything.

 -- Arif Ali <arif.ali@canonical.com>  Fri, 07 Mar 2025 08:04:04 +0000

sos (4.9.0-3) unstable; urgency=medium

  * d/t/control: replace the package name with @
  * d/control: Increment Standards-Version to 4.7.2
  * Add 2 patches to fix obfuscation issues

 -- Arif Ali <arif.ali@canonical.com>  Wed, 05 Mar 2025 16:59:43 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
  Arif Ali <arif.ali@canonical.com>,
 Section: admin
 Priority: optional
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),

## sos 4.9.2

=== docs/requirements.txt ===
Sphinx>=1.3.5

=== debian/changelog ===
sos (4.9.2-0ubuntu0.3) plucky; urgency=medium

  * d/control:
    Update Replaces, Breaks with updated version, the old version didn't allow
    for sosreport package to be installed correctly.

 -- Arif Ali <arif-ali@ubuntu.com>  Fri, 22 Aug 2025 16:36:50 +0000

sos (4.9.2-0ubuntu0.2) plucky; urgency=medium

  * d/control:
    Update Replaces, Breaks with newer version, the old version didn't upgrade
    correctly, so using new version.

  * d/p/0001-debian-change-tmp-dir-location.patch:
    Bring back patch to ensure that the config file shows the tmp-dir. This
    is being used by cockpit to validate the tmp dir location for sos in
    Debian and Ubuntu.

  * d/p/0002-component-Grab-tmpdir-from-policy.patch:
    Renamed patch to be consistent with what we had previously

 -- Arif Ali <arif-ali@ubuntu.com>  Thu, 24 Jul 2025 15:18:48 +0000

sos (4.9.2-0ubuntu0.1) plucky; urgency=medium

  * New 4.9.2 upstream release. (LP: #2114840)

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.9.2

  * d/copyright: Aligned copyright with upstream Debian

  * d/t/simple.sh:
    - Fixed the faulty autopkgtest for riscv64 which was falsely indicating that
      hostnames were not being obfuscated (LP: #2109631)

  * d/p/0001-component-Grab-tmpdir-from-policy.patch:
    - Fix a regression where the sos was being created in /var/tmp instead of
      /tmp. The hard-coded value is now updated to use the policy which for
      debian defaults to /tmp.

  * Former patches, now fixed:
    - d/p/0001-debian-change-tmp-dir-location.patch
    - d/p/0002-debian-do-not-install-LICENSE-README-AUTHORS.patch
    - d/p/0003-o_horizon-Obfuscate-credentials-in-local_settings.py.patch
    - d/p/0004-ceph_common-Obfuscate-rgw-password-in-ceph.conf.patch
    - d/p/0005-logs-Add-all-auth.log-syslog-and-kerne.log-as-standa.patch
    - d/p/0006-ubuntu-Revamp-of-plugin.patch
    - d/p/0007-clean-Update-the-last-command-for-obfuscation.patch
    - d/p/0008-login-clean-Update-login-plugin-and-use-for-clean.patch

 -- Bryan Fraschetti <bryan.fraschetti@canonical.com>  Thu, 19 Jun 2025 11:45:29 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: sos
-Maintainer: sosreport Dev Team <sosreport-dev@lists.canonical.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: sosreport Dev Team <sosreport-dev@lists.canonical.com>
 Uploaders:
  Arif Ali <arif.ali@canonical.com>,
 Section: admin
@@ -24,9 +25,9 @@
 
 Package: sos
 Replaces:
- sosreport (<< 4.8.2-4~),
+ sosreport (<< 4.9.2-0ubuntu0.3~),
 Breaks:
- sosreport (<< 4.8.2-4~),
+ sosreport (<< 4.9.2-0ubuntu0.3~),
 Architecture: all
 Depends:
  python3-magic,

=== debian/tests/control ===
Tests:
 simple.sh,
Depends:
 iproute2,
 kmod,
 lshw,
 @,
Restrictions:
 allow-stderr,
 needs-root,

## sos 4.10.0

=== requirements.txt ===
pycodestyle>=2.4.0
coverage>=4.0.3
pexpect>=4.0.0
pyyaml
packaging

=== debian/changelog ===
sos (4.10.0-1) unstable; urgency=medium

  * New upstream release 4.10.0

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.10.0

  * Former patches now fixed upstream:
    - d/p/0001-component-Grab-tmpdir-from-policy.patch
    - d/p/0002-report-Fix-html-formatting-for-Plugin-section.patch

  * New patches:
    - d/p/0001-Fix-Cleaner-Obfuscate-File.patch

  * d/control: Add Bryan Fraschetti to Uploaders Field

 -- Bryan Fraschetti <bryan.fraschetti@canonical.com>  Thu, 21 Aug 2025 11:45:39 -0400

sos (4.9.2-3) unstable; urgency=medium

  * 0002-report-Fix-html-formatting-for-Plugin-section.patch:
    Add patch to solve html formatting issues, this was introduced in
    a previous change to change to f-strings. (Closes: #1108301)

  * d/control: Update Arif's email

 -- Arif Ali <arif-ali@ubuntu.com>  Thu, 26 Jun 2025 20:35:45 +0000

sos (4.9.2-2) unstable; urgency=medium

  * d/p/0001-component-Grab-tmpdir-from-policy.patch: Fix a regression
    where the sos was being created in /var/tmp instead of /tmp. The
    hard-coded value is now updated to use the policy which for debian
    defaults to /tmp.

 -- Arif Ali <arif.ali@canonical.com>  Tue, 24 Jun 2025 20:57:34 +0100

sos (4.9.2-1) unstable; urgency=medium

  * New Upstream 4.9.2 release. (LP: #2114840)

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.9.2

  * d/t/simple.sh: Fix autopkgtest for riscv64

  * Former patches now fixed upstream:
    - d/p/0001-debian-change-tmp-dir-location.patch
    - d/p/0002-debian-do-not-install-LICENSE-README-AUTHORS.patch

 -- Arif Ali <arif.ali@canonical.com>  Tue, 17 Jun 2025 16:14:37 +0100

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=sos
export PYBUILD_DESTDIR=debian/$(PYBUILD_NAME)

build-pkgs := $(shell dh_listpackages)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	# Move config file to the right location.
	mkdir -p debian/sos/etc/sos
	mv debian/sos/usr/config/sos.conf debian/sos/etc/sos/sos.conf
	# Remove unnecessary unused dir.
	rm -rf debian/sos/usr/config
ifneq (,$(filter sosreport,${build-pkgs}))
	mkdir -p debian/sosreport/usr/bin
	install -p -m755 debian/bin.sosreport debian/sosreport/usr/bin/sosreport
	install -p -m755 debian/bin.sos-collector debian/sosreport/usr/bin/sos-collector
endif

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python3 -m unittest -v $(shell find tests/unittests -name "*_tests.py" -not -path "*policy_tests.py")
endif

=== debian/watch ===
version=4
https://github.com/sosreport/sos/tags .*/v?(\d.*)@ARCHIVE_EXT@

## sos 4.10.1

=== debian/changelog ===
sos (4.10.1-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Arif Ali <arif-ali@ubuntu.com>  Fri, 28 Nov 2025 08:34:20 +0000

sos (4.10.1-1) unstable; urgency=medium

  * New upstream release 4.10.1

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.10.1

  * Former patches now fixed upstream:
    - d/p/0001-Fix-Cleaner-Obfuscate-File.patch

  * d/control:
    - Added util-linux-extra and gpg to Recommends (Closes: #1116292)
    - Removed redundant rule: 'Rules-Requires-Root: no'

  * d/copyright:
     - Fixed missing copyrights for Ansible Automation Platform plugins
     - Add new AWS plugin copyright

 -- Bryan Fraschetti <bryan.fraschetti@canonical.com>  Fri, 22 Nov 2025 16:04:17 -0400

sos (4.10.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Arif Ali <arif-ali@ubuntu.com>  Thu, 18 Sep 2025 15:23:24 +0000

sos (4.9.1-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Arif Ali <arif.ali@canonical.com>  Fri, 25 Apr 2025 11:56:42 +0100

sos (4.9.0-6~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Arif Ali <arif.ali@canonical.com>  Mon, 17 Mar 2025 08:45:34 +0000

sos (4.9.0-4~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Arif Ali <arif.ali@canonical.com>  Mon, 10 Mar 2025 10:42:42 +0000

=== debian/watch ===
version: 5

Template: Github
Owner: sosreport
Project: sos
Matching-Pattern: refs/tags/([0-9]+(?:\.[0-9]+){1,2})

## sos 4.10.2

=== debian/changelog ===
sos (4.10.2-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Arif Ali <arif-ali@ubuntu.com>  Fri, 19 Dec 2025 14:52:11 +0000

sos (4.10.2-1) unstable; urgency=medium

  * New upstream release 4.10.2

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.10.2

  * d/control: Change maintainer to DPT
  * d/gbp.conf: Conform to DPT policy settings

 -- Arif Ali <arif-ali@ubuntu.com>  Mon, 15 Dec 2025 16:52:51 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: sos
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: sosreport Dev Team <sosreport-dev@lists.canonical.com>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
- Arif Ali <arif.ali@canonical.com>,
+ Arif Ali <arif-ali@ubuntu.com>,
+ Bryan Fraschetti <bryan.fraschetti@canonical.com>,
 Section: admin
 Priority: optional
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
@@ -25,9 +24,9 @@
 
 Package: sos
 Replaces:
- sosreport (<< 4.9.2-0ubuntu0.3~),
+ sosreport (<< 4.8.2-4~),
 Breaks:
- sosreport (<< 4.9.2-0ubuntu0.3~),
+ sosreport (<< 4.8.2-4~),
 Architecture: all
 Depends:
  python3-magic,
@@ -38,9 +37,11 @@
  ${python3:Depends},
 Recommends:
  e2fsprogs,
+ gpg,
  lsof,
  mount,
  python3-boto3,
+ util-linux-extra,
 Description: Set of tools to gather troubleshooting data from a system
  Sos is a set of tools that gathers information about system
  hardware and configuration. The information can then be used for

## sos 4.11.0

=== debian/changelog ===
sos (4.11.0-1) unstable; urgency=medium

  * New upstream release 4.11.0

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.11.0

  * d/control:
    - Updated Standards-Version to 4.7.3
    - Add xz-utils to Depends

  * d/copyright:
    - Updated the year from 2025 to 2026 for the catch-all and debian
      copyright cases

 -- Bryan Fraschetti <bryan.fraschetti@canonical.com>  Tue, 17 Feb 2026 16:34:53 -0500

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,7 @@
  Arif Ali <arif-ali@ubuntu.com>,
  Bryan Fraschetti <bryan.fraschetti@canonical.com>,
 Section: admin
-Priority: optional
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
@@ -33,6 +32,7 @@
  python3-packaging,
  python3-pexpect,
  python3-yaml,
+ xz-utils,
  ${misc:Depends},
  ${python3:Depends},
 Recommends:

## sos ansible-1.0.1

=== Makefile ===
init: requirements.txt
	pip install --upgrade pip
	pip install -r requirements.txt
	pip install -e .

test:
	pytest tests

build:
	docker build -f DockerfileDebug -t sos-ansible-debug:latest .
	docker build -f Dockerfile -t sos-ansible:latest .

clean:
	rm -rf __pycache__ sos_ansible.egg-info

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.11
# by the following command:
#
#    pip-compile pyproject.toml
#
blessed==1.20.0
    # via inquirer
inquirer==3.1.3
    # via sos-ansible (pyproject.toml)
python-editor==1.0.4
    # via inquirer
readchar==4.0.3
    # via inquirer
six==1.16.0
    # via blessed
wcwidth==0.2.6
    # via blessed

# The following packages are considered to be unsafe in a requirements file:
# setuptools

## sos ansible-1.0.3

=== Makefile ===
VENV_BASE ?= venv/
PYTHON ?= python3

init: requirements_dev.txt
	if [ "$(VENV_BASE)" ]; then \
		if [ ! -d "$(VENV_BASE)" ]; then \
			$(PYTHON) -m venv $(VENV_BASE); \
			$(VENV_BASE)bin/pip install --upgrade pip; \
			$(VENV_BASE)bin/pip install -r requirements_dev.txt; \
			$(VENV_BASE)bin/pip install -e . ; \
		fi; \
	fi

test:
	pytest tests

build:
	docker build -f DockerfileDebug -t sos-ansible-debug:latest .
	docker build -f Dockerfile -t sos-ansible:latest .

clean:
	rm -rf __pycache__ sos_ansible.egg-info
	rm -rf $(VENV_BASE)
